Skip to main content
POST
/
v5
/
revenue
/
rule
Save a rule
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/revenue/rule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rule": {
    "businessName": "<string>",
    "autoClassify": "OFF",
    "matchType": "EXACT_NAME",
    "id": 123,
    "status": "ACTIVE",
    "businessId": 123,
    "clientId": 123,
    "revenueAccountId": 123,
    "templateId": 123
  },
  "applyToPastTransactions": true
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Parameters for the revenue rule v5 endpoint

rule
object
required
applyToPastTransactions
boolean

Whether tagged transactions should be updated by this rule. Null will default to false.

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object